### Method

# Gtk SelectionModel get_selection_in_range

#### Declaration [src]

    GtkBitset*
    gtk_selection_model_get_selection_in_range (
      GtkSelectionModel* model,
      guint position,
      guint n_items
    )

#### Description [src]

Gets the set of selected items in a range.

This function is an optimization for gtk_selection_model_get_selection() when you are only interested in part of the model’s selected state. A common use case is in response to the `GtkSelectionModel::selection-changed` signal.

#### Parameters

`position` | `guint`
| Start of the queired range.
`n_items` | `guint`
| Number of items in the queried range.

#### Return value

Returns: | `GtkBitset`
| A `GtkBitset` that matches the selection state for the given range with all other values being undefined. The bitset must not be modified.
| The caller of the function takes ownership of the data, and is responsible for freeing it.